commit:     a50dda14195f4f8ac7c5176721c71994cd82bc29
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 23 11:56:32 2015 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Sep 23 11:56:32 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a50dda14

dev-ros/camera_calibration: Initial import. Ebuild by me.

Package-Manager: portage-2.2.21

 dev-ros/camera_calibration/Manifest                |  1 +
 .../camera_calibration-1.12.14.ebuild              | 28 ++++++++++++++++++++++
 .../camera_calibration-9999.ebuild                 | 28 ++++++++++++++++++++++
 dev-ros/camera_calibration/metadata.xml            |  5 ++++
 4 files changed, 62 insertions(+)

diff --git a/dev-ros/camera_calibration/Manifest 
b/dev-ros/camera_calibration/Manifest
new file mode 100644
index 0000000..0cc1356
--- /dev/null
+++ b/dev-ros/camera_calibration/Manifest
@@ -0,0 +1 @@
+DIST image_pipeline-1.12.14.tar.gz 118296 SHA256 
8e3b756932a821b4387b7f86ca9fc5233ebb2a13541b220b866e42ea6f92b17f SHA512 
724b6d20edab1436c51a05f4399b852cabab74c5e04dea97f53a256fb512b4dbfc97fd6e7d74d41bfd7d92fe183aa86a993a39b8687c27dc7b7f85d1a1c81b94
 WHIRLPOOL 
394343ddf299f6c7e26c0a2f45e49edc2c4047a0ccd15885a998fa902bb7373fa44181f06adc222483a285f32df800e0b268485cb2fd98e54956929056868d5d

diff --git a/dev-ros/camera_calibration/camera_calibration-1.12.14.ebuild 
b/dev-ros/camera_calibration/camera_calibration-1.12.14.ebuild
new file mode 100644
index 0000000..417e035
--- /dev/null
+++ b/dev-ros/camera_calibration/camera_calibration-1.12.14.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+ROS_REPO_URI="https://github.com/ros-perception/image_pipeline";
+KEYWORDS="~amd64 ~arm"
+PYTHON_COMPAT=( python2_7 )
+ROS_SUBDIR=${PN}
+
+inherit ros-catkin
+
+DESCRIPTION="Calibration of monocular or stereo cameras using a checkerboard 
calibration target"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+       dev-ros/cv_bridge[${PYTHON_USEDEP}]
+       dev-ros/image_geometry[${PYTHON_USEDEP}]
+       || ( media-libs/opencv[python,${PYTHON_USEDEP}] 
media-libs/opencv[python,python_single_target_python2_7] )
+       dev-ros/message_filters[${PYTHON_USEDEP}]
+       dev-ros/rospy[${PYTHON_USEDEP}]
+       dev-ros/std_srvs[${PYTHON_USEDEP}]
+       dev-ros/sensor_msgs[${CATKIN_MESSAGES_PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )"

diff --git a/dev-ros/camera_calibration/camera_calibration-9999.ebuild 
b/dev-ros/camera_calibration/camera_calibration-9999.ebuild
new file mode 100644
index 0000000..417e035
--- /dev/null
+++ b/dev-ros/camera_calibration/camera_calibration-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+ROS_REPO_URI="https://github.com/ros-perception/image_pipeline";
+KEYWORDS="~amd64 ~arm"
+PYTHON_COMPAT=( python2_7 )
+ROS_SUBDIR=${PN}
+
+inherit ros-catkin
+
+DESCRIPTION="Calibration of monocular or stereo cameras using a checkerboard 
calibration target"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+       dev-ros/cv_bridge[${PYTHON_USEDEP}]
+       dev-ros/image_geometry[${PYTHON_USEDEP}]
+       || ( media-libs/opencv[python,${PYTHON_USEDEP}] 
media-libs/opencv[python,python_single_target_python2_7] )
+       dev-ros/message_filters[${PYTHON_USEDEP}]
+       dev-ros/rospy[${PYTHON_USEDEP}]
+       dev-ros/std_srvs[${PYTHON_USEDEP}]
+       dev-ros/sensor_msgs[${CATKIN_MESSAGES_PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )"

diff --git a/dev-ros/camera_calibration/metadata.xml 
b/dev-ros/camera_calibration/metadata.xml
new file mode 100644
index 0000000..c42ea5b
--- /dev/null
+++ b/dev-ros/camera_calibration/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<herd>ros</herd>
+</pkgmetadata>

Reply via email to